Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F115929025
D46039.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D46039.diff
View Options
diff --git a/tests/atf_python/sys/net/vnet.py b/tests/atf_python/sys/net/vnet.py
--- a/tests/atf_python/sys/net/vnet.py
+++ b/tests/atf_python/sys/net/vnet.py
@@ -334,6 +334,10 @@
NEED_ROOT: bool = True
TOPOLOGY = {}
+ def _require_default_modules(self):
+ libc.kldload("if_epair.ko")
+ self.require_module("if_epair")
+
def _get_vnet_handler(self, vnet_alias: str):
handler_name = "{}_handler".format(vnet_alias)
return getattr(self, handler_name, None)
@@ -451,6 +455,8 @@
def setup_method(self, _method):
"""Sets up all the required topology and handlers for the given test"""
super().setup_method(_method)
+ self._require_default_modules()
+
# TestIP6Output.test_output6_pktinfo[ipandif]
topology_id = get_topology_id(self.test_id)
topology = self.TOPOLOGY
diff --git a/tests/sys/common/vnet.subr b/tests/sys/common/vnet.subr
--- a/tests/sys/common/vnet.subr
+++ b/tests/sys/common/vnet.subr
@@ -11,11 +11,32 @@
sed -i "" /^$1\$/d created_interfaces.lst
}
+_vnet_check_req()
+{
+ type=$1
+
+ if kldstat -q -n if_${type}.ko; then
+ return
+ fi
+
+ if ! kldload -n -q if_${type}; then
+ atf_skip "if_${type}.ko is required to run this test."
+ return
+ fi
+}
+
vnet_init()
{
if [ "`sysctl -i -n kern.features.vimage`" != 1 ]; then
atf_skip "This test requires VIMAGE"
fi
+
+ # Check if we can create if_epair or if_bridge interfaces.
+ # We may be running in a jail already, unable to load modules.
+ # If so, skip this test because it very likely (but not certainly)
+ # wants at least one of those
+ _vnet_check_req epair
+ _vnet_check_req bridge
}
vnet_mkepair()
diff --git a/tests/sys/netpfil/pf/utils.subr b/tests/sys/netpfil/pf/utils.subr
--- a/tests/sys/netpfil/pf/utils.subr
+++ b/tests/sys/netpfil/pf/utils.subr
@@ -83,6 +83,8 @@
pflog_init()
{
+ pft_init
+
if ! kldstat -q -m pflog; then
atf_skip "This test requires pflog"
fi
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Thu, May 1, 1:10 PM (17 h, 4 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
17882067
Default Alt Text
D46039.diff (1 KB)
Attached To
Mode
D46039: vnet tests: verify that we can load if_epair and if_bridge
Attached
Detach File
Event Timeline
Log In to Comment